## Class Swift_Transport_SendmailTransport

(line 27)

## Description

    Swift_Transport_AbstractSmtpTransport
       |
       --Swift_Transport_SendmailTransport

Located in File: /vendors/swiftMailer/classes/Swift/Transport/SendmailTransport.php

##### SendmailTransport for sending mail through a sendmail/postfix (etc..) binary.

Supported modes are -bs and -t, with any additional flags desired. It is advised to use -bs mode since error reporting with -t mode is not possible.

- author: - Chris Corbyn

Classes extended from Swift_Transport_SendmailTransport:

Swift_SendmailTransport
  SendmailTransport for sending mail through a sendmail/postfix (etc..) binary.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Transport_SendmailTransport __construct (Swift_Transport_IoBuffer $buf, Swift_Events_EventDispatcher $dispatcher)
string getCommand ()
int send (Swift_Mime_Message $message, [string[] &$failedRecipients = null])
void setCommand (string $command)
void start ()
void _getBufferParams ()

#### Constructor __construct (line 48)

#### Swift_Transport_SendmailTransport __construct( Swift_Transport_IoBuffer $buf, Swift_Events_EventDispatcher $dispatcher)

Overridden in child classes as:

Swift_SendmailTransport::__construct()
  Create a new SendmailTransport, optionally using $command for sending.

Overrides : Swift_Transport_AbstractSmtpTransport::__construct() Creates a new EsmtpTransport using the given I/O buffer.

##### Create a new SendmailTransport with $buf for I/O.

#### Parameters

- Swift_Transport_IoBuffer $buf:
- Swift_Events_EventDispatcher $dispatcher:

#### Info

- access - public

#### Method getCommand (line 84)

#### string getCommand( )

##### Get the sendmail command which will be invoked.

#### Info

- access - public

#### Method send (line 99)

#### int send( Swift_Mime_Message $message, [string[] &$failedRecipients = null])

Overrides : Swift_Transport_AbstractSmtpTransport::send() Send the given Message.

##### Send the given Message.

Recipient/sender data will be retreived from the Message API. The return value is the number of recipients who were accepted for delivery. NOTE: If using 'sendmail -t' you will not be aware of any failures until they bounce (i.e. send() will always return 100% success).

#### Parameters

- Swift_Mime_Message $message:
- string[] &$failedRecipients: to collect failures by-reference

#### Info

- access - public

#### Method setCommand (line 74)

#### void setCommand( string $command)

##### Set the command to invoke.

If using -t mode you are strongly advised to include -oi or -i in the flags. For example: /usr/sbin/sendmail -oi -t Swift will append a -f<sender> flag if one is not present. The recommended mode is "-bs" since it is interactive and failure notifications are hence possible.

#### Parameters

- string $command:

#### Info

- access - public

#### Method start (line 57)

#### void start( )

Overrides : Swift_Transport_AbstractSmtpTransport::start() Start the SMTP connection.

##### Start the standalone SMTP session if running in -bs mode.

#### Info

- access - public

#### Method _getBufferParams (line 168)

#### void _getBufferParams( )

Overrides : Swift_Transport_AbstractSmtpTransport::_getBufferParams() Return an array of params for the Buffer

##### Get the params to initialize the buffer

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Transport_AbstractSmtpTransport

#### Swift_Transport_AbstractSmtpTransport::$_buffer - Input-Output buffer for sending/receiving SMTP commands and responses

#### Swift_Transport_AbstractSmtpTransport::$_domain - The domain name to use in HELO command

#### Swift_Transport_AbstractSmtpTransport::$_eventDispatcher - The event dispatching layer

#### Swift_Transport_AbstractSmtpTransport::$_started - Connection status

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Transport_AbstractSmtpTransport

#### Swift_Transport_AbstractSmtpTransport::__construct() - Creates a new EsmtpTransport using the given I/O buffer.

#### Swift_Transport_AbstractSmtpTransport::executeCommand() - Run a command against the buffer, expecting the given response codes.

#### Swift_Transport_AbstractSmtpTransport::getBuffer() - Get the IoBuffer where read/writes are occurring.

#### Swift_Transport_AbstractSmtpTransport::getLocalDomain() - Get the name of the domain Swift will identify as.

#### Swift_Transport_AbstractSmtpTransport::isStarted() - Test if an SMTP connection has been established.

#### Swift_Transport_AbstractSmtpTransport::registerPlugin() - Register a plugin.

#### Swift_Transport_AbstractSmtpTransport::reset() - Reset the current mail transaction.

#### Swift_Transport_AbstractSmtpTransport::send() - Send the given Message.

#### Swift_Transport_AbstractSmtpTransport::setLocalDomain() - Set the name of the local domain which Swift will identify itself as.

#### Swift_Transport_AbstractSmtpTransport::start() - Start the SMTP connection.

#### Swift_Transport_AbstractSmtpTransport::stop() - Stop the SMTP connection.

#### Swift_Transport_AbstractSmtpTransport::_assertResponseCode() - Throws an Exception if a response code is incorrect

#### Swift_Transport_AbstractSmtpTransport::_doDataCommand() - Send the DATA command

#### Swift_Transport_AbstractSmtpTransport::_doHeloCommand() - Send the HELO welcome

#### Swift_Transport_AbstractSmtpTransport::_doMailFromCommand() - Send the MAIL FROM command

#### Swift_Transport_AbstractSmtpTransport::_doRcptToCommand() - Send the RCPT TO command

#### Swift_Transport_AbstractSmtpTransport::_getBufferParams() - Return an array of params for the Buffer

#### Swift_Transport_AbstractSmtpTransport::_getFullResponse() - Get an entire multi-line response using its sequence number

#### Swift_Transport_AbstractSmtpTransport::_getReversePath() - Determine the best-use reverse path for this message

#### Swift_Transport_AbstractSmtpTransport::_readGreeting() - Read the opening SMTP greeting

#### Swift_Transport_AbstractSmtpTransport::_streamMessage() - Stream the contents of the message over the buffer

#### Swift_Transport_AbstractSmtpTransport::_throwException() - Throw a TransportException, first sending it to any listeners

#### Swift_Transport_AbstractSmtpTransport::__destruct() - Destructor.

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3